/organizationAssignmentChanges/{ID}/comment/{subresourceID}
Partially updates the comment for the organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
The data updates in this PATCH method don’t persist until you call POST/organizationAssignmentChanges/{ID}/submit.
To get the exising data to update, call GET/organizationAssignmentChanges/{ID}/comment/{subResourceID}.
Secured by: Change Organization Assignment (REST), Change Organization Assignments for ~Worker~ (Mass Action)
Scope: Organizations and Roles
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
application/json
comments_7d98fd55aeee100022968e52a1b31c60
| Property | Type | Required |
|---|---|---|
| comment | string | optional |
An error occurred.
Successful response. A successful response can return no matched data. Updating resource.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
PATCH /organizationAssignmentChanges/{ID}/comment/{subresourceID}
/organizationAssignmentChanges/{ID}/company
Retrieves a company for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Company
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| limit | query | optional | integer | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/company
/organizationAssignmentChanges/{ID}/company/{subresourceID}
Retrieves a company for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Company
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/company/{subresourceID}
/organizationAssignmentChanges/{ID}/company/{subresourceID}
Partially updates the company for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
You can call GET /organizationAssignmentChanges/{ID}/company/{subResourceID} to get the existing data to update.
The same Workday UI validations apply with this PATCH method. The data updates in this PATCH method do not persist until you call POST /organizationAssignmentChanges/{ID}/submit.
In the request body, specify the Workday ID of the company.
To retrieve a companies ID, call the GET /values/organizationAssignmentChangesGroup/companies prompt endpoint, which takes the change organization assignment ID as the event query parameter. If you specify the event parameter, it returns HREF links to the companies by organization, as of the event’s effective date. If you don’t specify the event parameter, it returns HREF links to the companies by active organization based on the current date.
Secured by: Staffing Organizations: Company
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
application/json
organizationAssignmentChangesCompanyData_652d516fdff41000086e0b9c96950354
| Property | Type | Required |
|---|---|---|
| company | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
An error occurred.
Successful response. A successful response can return no matched data. Updating resource.
Invalid request. (https://community.workday.com/rest/error-messages)
Error Code | Validation Message
— | —
A403 | Submit this operation before the event Initiation step.
A499 | This operation is only available to the person who initiated the Change Organization Assignment operation.
A1593 | [You cant select Staff because it will override the existing Organization Type on effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing.]
A1594 | [The changes you have made to Company or Cost Center will override the existing Company or Cost Center on date and will be invalid due to restricted Companies by Cost Center. Correct or Rescind the Company or Cost Center on the Assign Organizations event on date to continue. If there are multiple organization assignment events on that date, rescind all of those events before continuing. If this value populated automatically and you are unable to edit the organization, contact your administrator.]
A1613 | [You cant select Staff because its inactive on inactive date and will override the existing Company on COA effective date. Correct or Rescind the Assign Organization event effective on COA effective date. If there are multiple organization assignment events on that date rescind all of those events before continuing]
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
PATCH /organizationAssignmentChanges/{ID}/company/{subresourceID}
/organizationAssignmentChanges/{ID}/costCenter
Retrieves a cost center for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Cost Center
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| limit | query | optional | integer | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/costCenter
/organizationAssignmentChanges/{ID}/costCenter/{subresourceID}
Retrieves a cost center for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Cost Center
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/costCenter/{subresourceID}
/organizationAssignmentChanges/{ID}/costCenter/{subresourceID}
Partially updates the cost center for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
You can call GET /organizationAssignmentChanges/{ID}/costCenter/{subResourceID} to get the existing data to update.
The same Workday UI validations apply with this PATCH method. The data updates in this PATCH method do not persist until you call POST /organizationAssignmentChanges/{ID}/submit.
In the request body, specify the Workday ID of the cost center.
To retrieve a costCenter ID, call the GET /values/organizationAssignmentChangesGroup/costCenters prompt endpoint, which takes the change organization assignment ID as the event query parameter. If you specify the event parameter, it returns HREF links to the cost centers by organization, as of the event’s effective date. If you don’t specify the event parameter, it returns HREF links to the cost centers by active organization based on the current date.
Secured by: Staffing Organizations: Cost Center
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
application/json
organizationAssignmentChangesCostCenterData_5aabf8e28cb3100010a999db2700024e
| Property | Type | Required |
|---|---|---|
| costCenter | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
An error occurred.
Successful response. A successful response can return no matched data. Updating resource.
Invalid request. (https://community.workday.com/rest/error-messages)
Error Code | Validation Message
— | —
A403 | Submit this operation before the event Initiation step.
A499 | This operation is only available to the person who initiated the Change Organization Assignment operation.
A1590 | [You cant select Staff because it will override the existing Cost Center on effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1611 | [You cant select Staff because its inactive on inactive date and will override the existing Cost Center on COA effective date. Correct or Rescind the Assign Organization event effective on COA effective date. If there are multiple organization assignment events on that date rescind all of those events before continuing]
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
PATCH /organizationAssignmentChanges/{ID}/costCenter/{subresourceID}
/organizationAssignmentChanges/{ID}/costing
Retrieves the costing organizations for the specified organization assignment change ID. Costing organizations include: Grants, Funds, Programs, and Gifts.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Grant, Fund, Program, Gift
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| limit | query | optional | integer | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/costing
/organizationAssignmentChanges/{ID}/costing/{subresourceID}
Retrieves the costing organizations for the specified organization assignment change ID. Costing organizations include: Grants, Funds, Programs, and Gifts.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Grant, Fund, Program, Gift
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/costing/{subresourceID}
/organizationAssignmentChanges/{ID}/costing/{subresourceID}
Partially updates the costing organizations for the specified organization assignment change ID. Costing organizations include: Grants, Funds, Programs, and Gifts.
The {subResourceID} path parameter must be the same as the {ID} value.
You can call GET /organizationAssignmentChanges/{ID}/costing/{subResourceID} to get the existing data to update.
The same Workday UI validations apply with this PATCH method. The data updates in this PATCH method do not persist until you call POST /organizationAssignmentChanges/{ID}/submit.
In the request body, specify the Workday ID of the grant, program, gift, or fund you want to update.
To retrieve a grants ID, call the GET /values/organizationAssignmentChangesGroup/grants prompt endpoint, which takes the change organization assignment ID as the event query parameter. If you specify the event parameter, it returns HREF links to the grants by organization, as of the event’s effective date. If you don’t specify the event parameter, it returns HREF links to the grants by active organization based on the current date.
To retrieve a funds ID, call the GET /values/organizationAssignmentChangesGroup/funds prompt endpoint, which takes the change organization assignment ID as the event query parameter. If you specify the event parameter, it returns HREF links to the funds by organization, as of the event’s effective date. If you don’t specify the event parameter, it returns HREF links to the funds by active organization based on the current date.
To retrieve a programs ID, call the GET /values/organizationAssignmentChangesGroup/programs prompt endpoint, which takes the change organization assignment ID as the event query parameter. If you specify the event parameter, it returns HREF links to the programs by organization, as of the event’s effective date. If you don’t specify the event parameter, it returns HREF links to the programs by active organization based on the current date.
To retrieve a gifts ID, call the GET /values/organizationAssignmentChangesGroup/gifts prompt endpoint, which takes the change organization assignment ID as the event query parameter. If you specify the event parameter, it returns HREF links to the gifts by organization, as of the event’s effective date. If you don’t specify the event parameter, it returns HREF links to the gifts by active organization based on the current date.
Secured by: Staffing Organizations: Grant, Fund, Program, Gift
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
application/json
organizationAssignmentChangesCostingData_a18edb56aca0100014a4a09dc57e045a
| Property | Type | Required |
|---|---|---|
| fund | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| gift | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| grant | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| program | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
An error occurred.
Successful response. A successful response can return no matched data. Updating resource.
Invalid request. (https://community.workday.com/rest/error-messages)
Error Code | Validation Message
— | —
A403 | Submit this operation before the event Initiation step.
A499 | This operation is only available to the person who initiated the Change Organization Assignment operation.
A1596 | [You cant select Staff because it will override the existing Program on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1597 | [You cant select Staff because it will override the existing Grant on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1598 | [You cant select Staff because it will override the existing Fund on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1600 | [You cant select Staff because it will override the existing Gift on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
PATCH /organizationAssignmentChanges/{ID}/costing/{subresourceID}
/organizationAssignmentChanges/{ID}/customOrganizations
Retrieves the custom organizations for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Custom Organization
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| limit | query | optional | integer | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/customOrganizations
/organizationAssignmentChanges/{ID}/customOrganizations/{subresourceID}
Retrieves the custom organizations for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Custom Organization
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/customOrganizations/{subresourceID}
/organizationAssignmentChanges/{ID}/customOrganizations/{subresourceID}
Partially updates the custom organizations for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
You can call GET /organizationAssignmentChanges/{ID}/customorganization/{subResourceID} to get the existing data to update.
The same Workday UI validations apply with this PATCH method. The data updates in this PATCH method do not persist until you call POST /organizationAssignmentChanges/{ID}/submit.
In the request body, specify the Workday ID of the custom organization {id}
To retrieve a custom organization ID, call the GET /values/organizationAssignmentChangesGroup/customs prompt endpoint, which takes the change organization assignment ID as the event query parameter. If you specify the event parameter, it returns HREF links to the custom organizations, as of the event’s effective date. If you don’t specify the event parameter, it returns HREF links to the active custom organizations based on the current date.
Secured by: Staffing Organizations: Custom Organization
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
application/json
organizationAssignmentChangesCustomOrganizationDetailsData_53cd2b632146100011e9bf4e7041551f
| Property | Type | Required |
|---|---|---|
| customOrganizations | array | optional |
| └ id | string | optional |
| └ descriptor | string | optional |
| └ organizationType | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
An error occurred.
Successful response. A successful response can return no matched data. Updating resource.
Invalid request. (https://community.workday.com/rest/error-messages)
Error Code | Validation Message
— | —
A403 | Submit this operation before the event Initiation step.
A499 | This operation is only available to the person who initiated the Change Organization Assignment operation.
A534 | Submit a valid custom organization for these organization types: [orgTypesInvalid].
A537 | The organization type has multiple custom organizations. Submit only 1 custom organization for these organization types: [orgTypesInvalid].
A542 | Submit at least 1 custom organization for these organization types: [orgTypesInvalid].
A1592 | [You can’t select list of custom orgs because it will override the existing organizations on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1595 | [1 or more of these custom organizations is inactive: custom orgs. Correct or rescind any Assign Organization events effective on the inactive date of the custom organizations to continue.]
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
PATCH /organizationAssignmentChanges/{ID}/customOrganizations/{subresourceID}
/organizationAssignmentChanges/{ID}/region
Retrieves a region for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Region
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| limit | query | optional | integer | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/region
/organizationAssignmentChanges/{ID}/region/{subresourceID}
Retrieves a region for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Region
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/region/{subresourceID}
/organizationAssignmentChanges/{ID}/region/{subresourceID}
Partially updates the region for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
In the request body, specify the Workday ID of the region.
To retrieve a regions ID, call the GET /values/organizationAssignmentChangesGroup/regions prompt endpoint, which takes the change organization assignment ID as the event query parameter. If you specify the event parameter, it returns HREF links to the regions by organization, as of the event’s effective date. If you don’t specify the event parameter, it returns HREF links to the regions by active organization based on the current date.
Secured by: Staffing Organizations: Region
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
application/json
organizationAssignmentChangesRegionData_a18edb56aca0100006997e68e5780373
| Property | Type | Required |
|---|---|---|
| region | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
An error occurred.
Successful response. A successful response can return no matched data. Updating resource.
Invalid request. (https://community.workday.com/rest/error-messages)
Error Code | Validation Message
— | —
A403 | Submit this operation before the event Initiation step.
A499 | This operation is only available to the person who initiated the Change Organization Assignment operation.
A1591 | [You cant select Staff because it will override the existing Region on effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1612 | [You cant select Staff because its inactive on inactive date and will override the existing Region on COA effective date. Correct or Rescind the Assign Organization event effective on COA effective date. If there are multiple organization assignment events on that date rescind all of those events before continuing]
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
PATCH /organizationAssignmentChanges/{ID}/region/{subresourceID}
/organizationAssignmentChanges/{ID}/startDetails
Retrieves the start details for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Header
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| limit | query | optional | integer | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/startDetails
/organizationAssignmentChanges/{ID}/startDetails/{subresourceID}
Retrieves the start details for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
Secured by: Staffing Organizations: Header
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /organizationAssignmentChanges/{ID}/startDetails/{subresourceID}
/organizationAssignmentChanges/{ID}/startDetails/{subresourceID}
Partially updates the start details for the specified organization assignment change ID.
The {subResourceID} path parameter must be the same as the {ID} value.
In the request body, specify the effective date for the event.
You can call GET /organizationAssignmentChanges/{ID}/startDetails/{subResourceID} to get the existing data to update.
You can only update the date field once the event is initiated. These fields are read-only: worker, supervisoryOrganization, and position.
The same Workday UI validations apply with this PATCH method.
The updates in this PATCH method do not persist until you call POST /organizationAssignmentChanges/{ID}/submit.
Secured by: Staffing Organizations: Header
Scope: Staffing
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
| subresourceID | path | required | string | The Workday ID of the subresource. |
application/json
organizationAssignmentChangesStartDetailsData_90009f2bfc49100017b10cd07d19063b
| Property | Type | Required |
|---|---|---|
| date | string | optional |
| worker | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| position | object | required |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| supervisoryOrganization | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
An error occurred.
Successful response. A successful response can return no matched data. Updating resource.
Invalid request. (https://community.workday.com/rest/error-messages)
Error Code | Validation Message
— | —
A371 | You can’t change organizations for this position because it might conflict with completed transactions. Access the ~Worker~ History for a list of potential conflicts. For position management, view the business process history on the filled position and position restriction.
A394 | Enter an Effective Date that is on or after the hire date for the ~worker~: [date].
A403 | Submit this operation before the event Initiation step.
A497 | Position Restriction is closed as of the effective date. Organizations cannot be changed after it has been closed.
A499 | This operation is only available to the person who initiated the Change Organization Assignment operation.
A503 | Select an Effective Date that is before the move date: [date].
A504 | The Position Restriction isn’t available as of the Effective Date. You can’t assign to the organization until on or after [date].
A516 | This position will be vacated or closed as of the effective date. Organization assignments cannot be made.
A531 | Select an Effective Date that is on or after the move date: [date].
A1546 | [Complete or cancel all pending actions for worker before initiating this action]
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
PATCH /organizationAssignmentChanges/{ID}/startDetails/{subresourceID}
/organizationAssignmentChanges/{ID}/submit
Submits the organization assignment change event for the specified ID, and initiates the Change Organization Assignment business process.
Submitting this request with an empty request body { } is equivalent to clicking the Submit button on the Change Organization Assgingment task in Workday.
For the equivalent of clicking the Save For Later button, specify the Save for Later Workday ID, ““d9e41a8c446c11de98360015c5e6daf6””, in the status{id} request field.
Example:
{ ““status””: {
““id””: ““d9e41a8c446c11de98360015c5e6daf6””
}
}
Secured by: Change Organization Assignment (REST)
Scope: Organizations and Roles
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ID | path | required | string | The Workday ID of the resource. |
application/json
eventStateOrganizationAssignment_f3e1ff305e2d100003327f7b7fa103f1
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| descriptor | string | optional |
| businessProcessParameters | object | optional |
| └ for | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| └ action | object | required |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| └ comment | string | optional |
| └ comments | array | optional |
| └ person | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| └ comment | string | optional |
| └ commentDate | string | optional |
| └ attachments | array | optional |
| └ id | string | optional |
| └ category | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| └ fileName | string | optional |
| └ fileLength | integer | optional |
| └ uploadDate | string | optional |
| └ uploadedBy | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| └ contentType | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| └ description | string | optional |
| └ overallStatus | string | optional |
| └ transactionStatus | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
| └ warningValidations | string | optional |
| └ criticalValidations | string | optional |
| └ overallBusinessProcess | object | optional |
| └ id | string | required |
| └ href | string | optional |
| └ descriptor | string | optional |
An error occurred.
Resource created.
Invalid request. (https://community.workday.com/rest/error-messages)
Error Code | Validation Message
— | —
A165 | The attachment category is invalid for this business process.
A175 | The file is required.
A178 | The business process has already been initiated.
A178 | The business process has already been initiated.
A200 | You can’t comment on this business process type.
A205 | You don’t have the security permission on this business process to add attachments.
A206 | Attachments are not enabled for this business process.
A207 | You’ve exceeded the attachment file size limit of [tenant setup attachment limit]KB.
A211 | The attachment category is required.
A219 | The business process action isn’t valid.
A221 | The attachment category isn’t enabled for this business process.
A371 | You can’t change organizations for this position because it might conflict with completed transactions. Access the ~Worker~ History for a list of potential conflicts. For position management, view the business process history on the filled position and position restriction.
A394 | Enter an Effective Date that is on or after the hire date for the ~worker~: [date].
A497 | Position Restriction is closed as of the effective date. Organizations cannot be changed after it has been closed.
A499 | This operation is only available to the person who initiated the Change Organization Assignment operation.
A500 | Select only 1 Cost Center.
A501 | Select only 1 Gift.
A502 | Company is required.
A503 | Select an Effective Date that is before the move date: [date].
A504 | The Position Restriction isn’t available as of the Effective Date. You can’t assign to the organization until on or after [date].
A505 | Submit a valid Gift.
A506 | Submit a valid Fund.
A507 | Submit a valid Grant.
A509 | Cost Center is required.
A510 | Submit a valid Company.
A511 | Submit a valid Cost Center.
A512 | Business Unit is required.
A513 | Program is required.
A514 | Select only 1 Company.
A515 | Grant is required.
A516 | This position will be vacated or closed as of the effective date. Organization assignments cannot be made.
A517 | Select only 1 Grant.
A518 | Select only 1 Fund.
A522 | Select only 1 Business Unit.
A524 | Submit a valid Business Unit.
A526 | Submit a valid Program.
A527 | Submit a valid Region.
A529 | Region is required.
A530 | Select only 1 Region.
A531 | Select an Effective Date that is on or after the move date: [date].
A534 | Submit a valid custom organization for these organization types: [orgTypesInvalid].
A537 | The organization type has multiple custom organizations. Submit only 1 custom organization for these organization types: [orgTypesInvalid].
A538 | Select only 1 Program.
A539 | Gift is required.
A541 | Fund is required.
A542 | Submit at least 1 custom organization for these organization types: [orgTypesInvalid].
A1005 | Comments are not available for this business process. Remove your comment to continue.
A1546 | [Complete or cancel all pending actions for worker before initiating this action]
A1553 | [You cant change company details for this event. Making these changes out of order can cause payroll errors for workers based in the UK.]
A1556 | [The Effective Date must be on or after date. There is a completed event that conflicts with this date]
A1590 | [You cant select Staff because it will override the existing Cost Center on effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1591 | [You cant select Staff because it will override the existing Region on effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1592 | [You cant select Staff because it will override the existing Organization Type on effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing.]
A1593 | [You cant select Staff because it will override the existing Company on effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1594 | [The changes you’ve made to Company or Cost Center will override the existing Company or Cost Center on date and will be invalid due to restricted Companies by Cost Center. Correct or Rescind the Company or Cost Center on the Assign Organizations event on date to continue. If there are multiple organization assignment events on that date, rescind all of those events before continuing. If this value populated automatically and you are unable to edit the organization, contact your administrator]
A1595 | [1 or more of these custom organizations is inactive: custom orgs. Correct or rescind any Assign Organization events effective on the inactive date of the custom organizations to continue.]
A1596 | [You cant select Staff because it will override the existing Program on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1597 | [You cant select Staff because it will override the existing Grant on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1598 | [You cant select Staff because it will override the existing Fund on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1599 | [You cant select Staff because it will override the existing Business Unit on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1600 | [You cant select Staff because it will override the existing Gift on COA effective date and is not allowed for the Location Hierarchy or Supervisory Organization on that date. Correct or Rescind the Assign Organizations event effective on that date. If there are multiple Assign Organizations events on that date, rescind all of those events before continuing]
A1611 | [You cant select Staff because its inactive on inactive date and will override the existing Cost Center on COA effective date. Correct or Rescind the Assign Organization event effective on COA effective date. If there are multiple organization assignment events on that date rescind all of those events before continuing]
A1612 | [You cant select Staff because its inactive on inactive date and will override the existing Region on COA effective date. Correct or Rescind the Assign Organization event effective on COA effective date. If there are multiple organization assignment events on that date rescind all of those events before continuing]
A1613 | [You cant select Staff because its inactive on inactive date and will override the existing Company on COA effective date. Correct or Rescind the Assign Organization event effective on COA effective date. If there are multiple organization assignment events on that date rescind all of those events before continuing]
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
POST /organizationAssignmentChanges/{ID}/submit
/values/jobChangesGroup/assignmentTypes
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/assignmentTypes
/values/jobChangesGroup/companyInsiderTypes
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/companyInsiderTypes
/values/jobChangesGroup/contingentWorkerTypes
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/contingentWorkerTypes
/values/jobChangesGroup/currencies
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/currencies
/values/jobChangesGroup/employeeTypes
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/employeeTypes
/values/jobChangesGroup/frequencies
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/frequencies
/values/jobChangesGroup/headcountOptions
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/headcountOptions
/values/jobChangesGroup/jobClassifications
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/jobClassifications
/values/jobChangesGroup/jobProfiles
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/jobProfiles
/values/jobChangesGroup/jobRequisitions
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/jobRequisitions
/values/jobChangesGroup/jobs
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/jobs
/values/jobChangesGroup/locations
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/locations
/values/jobChangesGroup/payRateTypes
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/payRateTypes
/values/jobChangesGroup/proposedPosition
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/proposedPosition
/values/jobChangesGroup/reason
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/reason
/values/jobChangesGroup/supervisoryOrganization
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/supervisoryOrganization
/values/jobChangesGroup/templates
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/templates
/values/jobChangesGroup/timeTypes
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/timeTypes
/values/jobChangesGroup/workShifts
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/workShifts
/values/jobChangesGroup/workSpaces
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/workSpaces
/values/jobChangesGroup/workStudyAwards
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/workStudyAwards
/values/jobChangesGroup/workerTypes
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/workerTypes
/values/jobChangesGroup/workers
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/workers
/values/jobChangesGroup/workersCompensationCodeOverrides
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| job | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| location | query | optional | string | — |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| proposedManager | query | optional | array | — |
| staffingEvent | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/jobChangesGroup/workersCompensationCodeOverrides
/values/organizationAssignmentChangesGroup/businessUnits
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| event | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| organizationType | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/organizationAssignmentChangesGroup/businessUnits
/values/organizationAssignmentChangesGroup/companies
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| event | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| organizationType | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/organizationAssignmentChangesGroup/companies
/values/organizationAssignmentChangesGroup/costCenters
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| event | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| organizationType | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/organizationAssignmentChangesGroup/costCenters
/values/organizationAssignmentChangesGroup/customs
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| event | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| organizationType | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/organizationAssignmentChangesGroup/customs
/values/organizationAssignmentChangesGroup/funds
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| event | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| organizationType | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/organizationAssignmentChangesGroup/funds
/values/organizationAssignmentChangesGroup/gifts
Retrieves instances that can be used as values for other endpoint parameters in this service.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| effectiveDate | query | optional | string | — |
| event | query | optional | string | — |
| limit | query | optional | integer | The maximum number of objects in a single response. The default and maximum is 1000. |
| offset | query | optional | integer | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
| organizationType | query | optional | string | — |
| worker | query | optional | string | — |
An error occurred.
Successful response. A successful response can return no matched data.
Invalid request. (https://community.workday.com/rest/error-messages)
Invalid resource or operation. (https://community.workday.com/rest/error-messages)
User has insufficient permissions. (https://community.workday.com/rest/error-messages)
Resource not found. (https://community.workday.com/rest/error-messages)
GET /values/organizationAssignmentChangesGroup/gifts